# https://github.com/feedhenry/fh-openshift-templates
# https://github.com/fheng/fh-core-openshift-templates
%global import_mbaas_path        github.com/feedhenry/fh-openshift-templates
%global import_core_path         github.com/fheng/fh-core-openshift-templates

%global package_name             rhmap-fh-openshift-templates
%global mbaas_ose_tarball_name   fh-openshift-templates-0.26.83.redhat-11
%global core_ose_tarball_name    fh-core-openshift-templates-0.1.7.redhat-2
%global mbaas_ose_folder_name    fh-openshift-templates-0.26.83-redhat-11
%global core_ose_folder_name     fh-core-openshift-templates-0.1.7-redhat-2
%global mbaas_44_ose_tarball_name   fh-openshift-templates-0.26.12.redhat-22
%global core_44_ose_tarball_name    fh-core-openshift-templates-0.1.5.redhat-21
%global mbaas_44_ose_folder_name    fh-openshift-templates-0.26.12-redhat-22
%global core_44_ose_folder_name     fh-core-openshift-templates-0.1.5-redhat-21
%global rhmap_ansible_name       rhmap-ansible-release-4.5.1-2
%global gitlab_migrate_file      gitlab-migrate-9
%global digger_installer         digger-installer-release-4.5.0-rc4
%global product_name             Red Hat Mobile Application Platform

Name:                      rhmap-fh-openshift-templates
Version:                   4.5.1
Release:                   2%{?dist}
Summary:                   Set of OpenShift templates that can be used to setup the Core and the MBaaS of the Red Hat Mobile Application Platform On-Premise product.
License:                   ASL 2.0
URL:                       https://%{import_mbaas_path}
Source0:                   %{mbaas_44_ose_tarball_name}.tar.gz
Source1:                   %{core_44_ose_tarball_name}.tar.gz
Source2:                   %{mbaas_ose_tarball_name}.tar.gz
Source3:                   %{core_ose_tarball_name}.tar.gz
Source4:                   %{rhmap_ansible_name}.tar.gz
Source5:                   %{gitlab_migrate_file}.tar.gz
Source6:                   %{digger_installer}.tar.gz
BuildArch:                 noarch

%description
%{summary}

%prep
%setup -q -n %{mbaas_44_ose_folder_name}
%setup -q -D -b 1 -n %{core_44_ose_folder_name}
%setup -q -D -b 2 -n %{mbaas_ose_folder_name}
%setup -q -D -b 3 -n %{core_ose_folder_name}
%setup -q -D -b 4 -n %{rhmap_ansible_name}
%setup -q -D -b 5 -n %{gitlab_migrate_file}
%setup -q -D -b 6 -n %{digger_installer}

%build

%install

echo "+++ Creating folders for ose templates..."
rm -rf %{buildroot}
mkdir -p %{buildroot}/opt/rhmap/4.4/templates/core
mkdir -p %{buildroot}/opt/rhmap/4.4/templates/mbaas
mkdir -p %{buildroot}/opt/rhmap/4.4/rhmap-installer
mkdir -p %{buildroot}/opt/rhmap/4.5/templates/core
mkdir -p %{buildroot}/opt/rhmap/4.5/templates/mbaas
mkdir -p %{buildroot}/opt/rhmap/4.5/rhmap-installer

echo "+++ Copying ose MBaaS templates..."
%{__install} -p -m 0755 %{_builddir}/%{mbaas_44_ose_folder_name}/fh-mbaas-template-*node.json %{buildroot}/opt/rhmap/4.4/templates/mbaas/
%{__install} -p -m 0755 %{_builddir}/%{mbaas_44_ose_folder_name}/fh-mbaas-template-1node-non-persistent.json %{buildroot}/opt/rhmap/4.4/templates/mbaas/
%{__install} -p -m 0755 %{_builddir}/%{mbaas_ose_folder_name}/fh-mbaas-components.json %{buildroot}/opt/rhmap/4.5/templates/mbaas/
%{__install} -p -m 0755 %{_builddir}/%{mbaas_ose_folder_name}/mongo*.json %{buildroot}/opt/rhmap/4.5/templates/mbaas/
%{__install} -p -m 0755 %{_builddir}/%{mbaas_ose_folder_name}/rhmap-mbaas-config.json %{buildroot}/opt/rhmap/4.5/templates/mbaas/

echo "+++ Copying ose Core templates..."
%{__install} -p -m 0755 %{_builddir}/%{core_44_ose_folder_name}/generated/*.json %{buildroot}/opt/rhmap/4.4/templates/core/
%{__cp} %{_builddir}/%{gitlab_migrate_file}/v4.4/gitlab-migrate.json %{buildroot}/opt/rhmap/4.4/templates/core/
%{__install} -p -m 0755 %{_builddir}/%{core_ose_folder_name}/generated/*.json %{buildroot}/opt/rhmap/4.5/templates/core/
%{__cp} %{_builddir}/%{gitlab_migrate_file}/v4.5/gitlab-migrate.json %{buildroot}/opt/rhmap/4.5/templates/core/

echo "+++ Copying OpenShift Wildcard Proxy template..."
%{__install} -p -m 0755 %{_builddir}/%{core_44_ose_folder_name}/proxy/fh-nginx-proxy-template.json %{buildroot}/opt/rhmap/4.4/templates/core/
%{__install} -p -m 0755 %{_builddir}/%{core_ose_folder_name}/proxy/fh-nginx-proxy-template.json %{buildroot}/opt/rhmap/4.5/templates/core/

echo "+++ Copy ansible files..."
cp -a %{_builddir}/%{rhmap_ansible_name}/v4.4/. %{buildroot}/opt/rhmap/4.4/rhmap-installer/
cp -a %{_builddir}/%{rhmap_ansible_name}/v4.5/. %{buildroot}/opt/rhmap/4.5/rhmap-installer/
rm %{buildroot}/opt/rhmap/4.5/rhmap-installer/install-dependencies.sh
rm %{buildroot}/opt/rhmap/4.5/rhmap-installer/digger-requirements.yml

echo "+++ Copy digger installer"
rm -rf %{buildroot}/opt/rhmap/4.5/rhmap-installer/roles/digger-installer
mkdir -p %{buildroot}/opt/rhmap/4.5/rhmap-installer/roles/digger-installer

echo "Running ansible-galaxy install copy"
cp -a %{_builddir}/%{digger_installer}/. %{buildroot}/opt/rhmap/4.5/rhmap-installer/roles/digger-installer/

echo "Removing extra folders/files"
rm -rf %{buildroot}/opt/rhmap/4.5/rhmap-installer/roles/digger-installer/login
rm -rf %{buildroot}/opt/rhmap/4.5/rhmap-installer/roles/digger-installer/vars
rm %{buildroot}/opt/rhmap/4.5/rhmap-installer/roles/digger-installer/cluster-up-example
rm %{buildroot}/opt/rhmap/4.5/rhmap-installer/roles/digger-installer/sample-build-playbook.yml
rm %{buildroot}/opt/rhmap/4.5/rhmap-installer/roles/digger-installer/LICENSE

echo "Done"


%files
/opt/rhmap/4.4/templates/mbaas/
/opt/rhmap/4.4/templates/core/
/opt/rhmap/4.4/rhmap-installer/*
/opt/rhmap/4.5/templates/mbaas/
/opt/rhmap/4.5/templates/core/
/opt/rhmap/4.5/rhmap-installer/*

%changelog
* Tue Oct 24 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.1-2
- Update templates for 4.5.1.CR2
* Wed Oct 18 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.1-1
- Update templates for 4.5.1.CR1
* Thu Sep 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-11
- Update templates for 4.5.0.CR8
* Wed Sep 13 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-10
- Update templates for 4.5.0.CR7
* Tue Sep 12 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-9
- Update templates for 4.5.0.CR6
* Mon Sep 11 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-8
- Update templates for 4.5.0.CR5
* Mon Sep 11 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-7
- Remove backup file from source archive for 4.5.0.CR4
* Mon Sep 11 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-6
- Update templates for 4.5.0.CR4
* Tue Aug 29 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-5
- Update templates for 4.5.0.CR3
* Tue Aug 22 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-4
- Update templates for 4.5.0.CR2
* Tue Aug 15 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-3
- Update fixed templates for 4.5.0.CR1
* Tue Aug 15 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-2
- Update files for 4.5.0.CR1
* Mon Aug 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.5.0-1
- First version of rhmap 4.5 rpm
* Wed Jul 26 2017 Andrea Vibelli <avibelli@redhat.com> - 4.4.3-2
- Fixed the 4.4.yaml metadata
* Tue Jul 25 2017 Andrea Vibelli <avibelli@redhat.com> - 4.4.3-1
- Update templates and source files for 4.4.3.CR1
* Fri Jul 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.2-1
- Update templates and source files for 4.4.2.CR1
* Mon Jun 19 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.1-2
- Update ansible files for 4.4.1.CR2
* Mon Jun 19 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.1-1
- Update rpm version, add versioning for gitlab-migrate archive 4.4.1.CR1
* Mon Jun 19 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-10
- Update templates and ansible files for 4.4.1.CR1
* Wed Jun 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-9
- Update ansible files for 4.4.0.CR5 (Remove gedit backup files)
* Wed Jun 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-8
- Update ansible files for 4.4.0.CR5
* Mon Jun 12 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-7
- Update templates and ansible files for 4.4.0.CR4
* Thu Jun 08 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-6
- Update templates and ansible files for 4.4.0.CR3
* Mon Jun 05 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-5
- Update templates and ansible files for 4.4.0.CR2
* Tue May 23 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-4
- Fix corrupted version in rhmap ansible archive
* Tue May 23 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-3
- Add gitlab migrate json file
* Mon May 22 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-2
- Update ansible yml files with latest images
* Mon May 22 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-1
- Update structure and files for RHMAP 4.4.0.CR1
* Tue Apr 18 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-1
- Align rpm version to release version
* Tue Mar 21 2017 Andrea Vibelli <avibelli@redhat.com> - 1.1.0-10
- Fix for Wildcard Proxy template and SCM Docker images unsigned content for RHMAP 4.3.0.CR7 release
* Fri Mar 17 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-9
- Update templates for RHMAP 4.3.0.CR7 release
* Tue Mar 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-8
- Update templates for RHMAP 4.3.0.CR6 release
* Wed Mar 08 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-7
- Update templates for RHMAP 4.3.0.CR5 release
* Thu Mar 02 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-6
- Update templates for RHMAP 4.3.0.CR4 release
* Mon Feb 20 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-5
- Update templates for RHMAP 4.3.0.CR3 release
* Tue Feb 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-4
- Update templates for RHMAP 4.3.0.CR2 release
* Mon Feb 13 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-3
- Update templates for RHMAP 4.3.0.CR1 patch release
* Wed Feb 8 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-2
- Update templates for RHMAP 4.3.0.CR1 release
* Tue Jan 31 2017 Andrea Vibelli <avibelli@redhat.com> - 1.1.0-1
- Include the MBaaS 1 Node persistent template
- Include the new OpenShift Wildcard Proxy template
* Fri Jan 6 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-5
- Update core templates for RHMAP 4.2.1.CR4 release
* Tue Dec 13 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-4
- Update templates for RHMAP 4.2.1 release
* Tue Dec 6 2016 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-3
- Update templates with patched Productised version
* Thu Dec 1 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-2
- Manage of different source tarballs for MBaaS and Core templates
* Mon Nov 28 2016 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-1
- Update templates with patched Productised version after core and mbaas templates split
* Tue Oct 11 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.169-2
- Updated templates with patched Productised version
* Wed Oct 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.169-1
- Updated templates with latest Productised version
* Wed Sep 28 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.153-1
- Updated templates with latest Productised version
* Tue Sep 20 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.134-1
- Updated templates with latest Productised version
* Wed Sep 14 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.1-2
- Updated templates with latest upstream version; modified version naming
* Tue Sep 6 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.1-1
- Moved scc-anyuid-with-chroot.json file in core folder
* Mon Sep 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.0-1
- Rename of the package into rhmap-fh-openshift-templates
* Mon Sep 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.0.1-1
- First package build of RHMAP OSE templates
